package com.ruoyi.mall.domain;

import java.math.BigDecimal;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 商品 产品对象 mall_goods_product
 * 
 * @author chang
 * @date 2021-11-25
 */
public class MallGoodsProduct extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键ID */
    private Long id;

    /** 商品ID */
    @Excel(name = "商品ID")
    private Long goodsId;

    /** 是否默认 0=不是,1=是 */
    @Excel(name = "是否默认 0=不是,1=是")
    private String isDefault;

    /** 产品规格名 */
    @Excel(name = "产品规格名")
    private String productName;

    /** 现价 */
    @Excel(name = "现价")
    private BigDecimal price;

    /** 原价 */
    @Excel(name = "原价")
    private BigDecimal priceN;

    /** 市场价 */
    @Excel(name = "市场价")
    private BigDecimal priceM;

    /** 库存 */
    private Integer stock;

    /** 上架时间 */
    private String upAt;

    /** 下架时间 */
    private String downAt;

    /** 销售量 */
    @Excel(name = "销售量")
    private Integer numSale;

    /** 状态 0 正常 1 删除 */
    @Excel(name = "状态 0 正常 1 删除")
    private String status;

    /** 添加时间 */
    @Excel(name = "添加时间")
    private String createAt;

    /** 删除标记 */
    private String delFlag;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setGoodsId(Long goodsId) 
    {
        this.goodsId = goodsId;
    }

    public Long getGoodsId() 
    {
        return goodsId;
    }
    public void setIsDefault(String isDefault) 
    {
        this.isDefault = isDefault;
    }

    public String getIsDefault() 
    {
        return isDefault;
    }
    public void setProductName(String productName) 
    {
        this.productName = productName;
    }

    public String getProductName() 
    {
        return productName;
    }
    public void setPrice(BigDecimal price) 
    {
        this.price = price;
    }

    public BigDecimal getPrice() 
    {
        return price;
    }
    public void setPriceN(BigDecimal priceN) 
    {
        this.priceN = priceN;
    }

    public BigDecimal getPriceN() 
    {
        return priceN;
    }
    public void setPriceM(BigDecimal priceM) 
    {
        this.priceM = priceM;
    }

    public BigDecimal getPriceM() 
    {
        return priceM;
    }
    public void setStock(Integer stock) 
    {
        this.stock = stock;
    }

    public Integer getStock() 
    {
        return stock;
    }
    public void setUpAt(String upAt) 
    {
        this.upAt = upAt;
    }

    public String getUpAt() 
    {
        return upAt;
    }
    public void setDownAt(String downAt) 
    {
        this.downAt = downAt;
    }

    public String getDownAt() 
    {
        return downAt;
    }
    public void setNumSale(Integer numSale) 
    {
        this.numSale = numSale;
    }

    public Integer getNumSale() 
    {
        return numSale;
    }
    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }
    public void setCreateAt(String createAt) 
    {
        this.createAt = createAt;
    }

    public String getCreateAt() 
    {
        return createAt;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("goodsId", getGoodsId())
            .append("isDefault", getIsDefault())
            .append("productName", getProductName())
            .append("price", getPrice())
            .append("priceN", getPriceN())
            .append("priceM", getPriceM())
            .append("stock", getStock())
            .append("upAt", getUpAt())
            .append("downAt", getDownAt())
            .append("numSale", getNumSale())
            .append("status", getStatus())
            .append("createAt", getCreateAt())
            .append("delFlag", getDelFlag())
            .toString();
    }
}
